#define FPU_KERNEL_NO_CUDA -1
#define FPU_KERNEL_NVAR_TOO_LARGE -2
#define FPU_KERNEL_CUDA_ERROR -3

int fpu_open(int _nvar, int dev);
int fpu_close(void);
int fpu_init(float *q0, float *p0);
int fpu_set_cst(float _b, float _n, float _h);
int fpu_steps(int n1,float *q, float *p, float *e, float *emode, int nm);

int fpuper_open(int _nvar, int dev);
int fpuper_close(void);
int fpuper_init(float *q0, float *p0);
int fpuper_set_cst(float _b, float _n, float _h);
int fpuper_steps(int n1,float *q, float *p, float *e, float *emode, int nm);
